# https://dbus.freedesktop.org/releases/dbus-python/dbus-python-1.2.6.tar.gz
%global _disable_ld_no_undefined 1
%define _requires_exceptions python-gi

Name:           dbus-python
Version:        1.2.8
Release:        %mkrel 1
Summary:        D-Bus Python Bindings

License:        GPL LGPL
Group:          Development/Python
URL:            http://www.freedesktop.org/wiki/Software/DBusBindings
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  dbus-x11
BuildRequires:	%{_lib}dbus-1-devel
BuildRequires:	%{_lib}dbus-glib-1_2-devel
BuildRequires:	python-devel
BuildRequires:  python-gobject3-devel
BuildRequires:	python3-devel
BuildRequires:  python3-gobject3-devel

%description
D-Bus python bindings for use with python programs.

%package -n python-dbus
Summary:        D-Bus Python Bindings
Group:          Development/Python
Obsoletes:      %{name} < %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Requires:       dbus >= 1.6
Requires:       python-gobject3

%description -n python-dbus
D-Bus python bindings for use with python programs.

%package -n python3-dbus
Summary:        D-Bus Python3 Bindings
Group:          Development/Python
Obsoletes:      dbus-python3 < %{version}-%{release}
Provides:       dbus-python3 = %{version}-%{release}
Requires:       dbus >= 1.6
Requires:       python3-gobject3

%description -n python3-dbus
D-Bus python bindings for use with python3 programs.

%package -n python-dbus-devel
Summary:        Development files for python-dbus and python3-dbus
Group:          Development/Python
Requires:       python-dbus = %{version}-%{release}
Requires:       python3-dbus = %{version}-%{release}

%description -n python-dbus-devel
Header files for python-dbus and python3-dbus.

%prep
%setup -q
%apply_patches
cp -a . %{py3dir}

%build
autoreconf -fi
%configure2_5x --disable-api-docs PYTHON=%{__python}
%make

pushd %{py3dir}
autoreconf -fi
%configure2_5x --disable-api-docs PYTHON=%{__python3}
%make
popd

%install
%makeinstall_std

pushd %{py3dir}
%makeinstall_std
popd

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python
find %{buildroot} -type f -name "*.la" -delete

%files -n python-dbus
%doc README NEWS doc/*.txt
%{py_puresitedir}/dbus*
%{py_platsitedir}/_dbus_*

%files -n python3-dbus
%doc README NEWS doc/*.txt
%{py3_puresitedir}/dbus*
%{py3_platsitedir}/_dbus_*

%files -n python-dbus-devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Oct 23 2018 adrianomorselli <adrianomorselli> 1.2.8-1uplos2018
- update
